Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.registry
Class DefaultRegistryListener

    java.lang.Object
      org.teleal.cling.registry.DefaultRegistryListener

All Implemented Interfaces:
  RegistryListener

    public class DefaultRegistryListener

extends Object
implements RegistryListener

Author:
  Christian Bauer

Constructor Summary
`DefaultRegistryListener()`

Method Summary
`void` | `localDeviceAdded(Registry registry, LocalDevice device)`
`void` | `localDeviceRemoved(Registry registry, LocalDevice device)`
`void` | `remoteDeviceAdded(Registry registry, RemoteDevice device)`
`void` | `remoteDeviceRemoved(Registry registry, RemoteDevice device)`
`void` | `remoteDeviceUpdated(Registry registry, RemoteDevice device)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRegistryListener

    public DefaultRegistryListener()

Method Detail

### remoteDeviceAdded

    public void remoteDeviceAdded(Registry registry,
                                  RemoteDevice device)

  Specified by:
    `remoteDeviceAdded` in interface `RegistryListener`

### remoteDeviceUpdated

    public void remoteDeviceUpdated(Registry registry,
                                    RemoteDevice device)

  Specified by:
    `remoteDeviceUpdated` in interface `RegistryListener`

### remoteDeviceRemoved

    public void remoteDeviceRemoved(Registry registry,
                                    RemoteDevice device)

  Specified by:
    `remoteDeviceRemoved` in interface `RegistryListener`

### localDeviceAdded

    public void localDeviceAdded(Registry registry,
                                 LocalDevice device)

  Specified by:
    `localDeviceAdded` in interface `RegistryListener`

### localDeviceRemoved

    public void localDeviceRemoved(Registry registry,
                                   LocalDevice device)

  Specified by:
    `localDeviceRemoved` in interface `RegistryListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.